module Lotohelp

  # Lotohelp configuration used to set global options.
  #
  # @example Set the configuration options within a block.
  #   Lotohelp.configure do |config|
  #     config.auth_token = "123123"
  #     config.auth_email = "example@gmail.com"
  #   end
  #
  # @example Set the configuration directly.
  #   Lotohelp::Config.auth_token = "123123"
  module Config
    extend self

    # Defines auth token from user
    #
    # @return [ String ]
    attr_accessor :auth_token

    # Defines auth email from user
    #
    # @return [ String ]
    attr_accessor :auth_email
  end
end
