module Lotohelp

  # Requests library
  #
  module Lottery
    extend self

    # Get the last concourse from a specific lottery
    #
    # @example Get the last concourse from Mega Sena
    # Lotohelp::Lottery.last('megasena')
    # => [{name: 'megasema', ...}]
    #
    # @return [ Hash ]
    def self.last(lottery_slug=nil)
      raise ArgumentError("Lottery slug should be an String, #{lottery_slug.class} given") unless lottery_slug.is_a? String
      
      Request::get("/lotteries/#{lottery_slug}/last")
    end
  end
end
